## Whale_Optimization_Algorithm_test
fx=@f8;
xmin=[0 0 0];
xmax=[3 3 3];
MAXIMUM=1000;
[x y]=Whale_Optimization_Algorithm1(fx,xmin,xmax,MAXIMUM);
x
y
## Nelder optimisation test
maxiteration=200;
tolerance=1.0e-15;
[x,y]=nelder_opt1(fx,x,maxiteration,tolerance);
x
y